#
# spec file for package zarch (Version 0.92)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  shlibs5 svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow shlibs5 strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         zarch
Copyright:    1998, 1999 Thom van Os
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.92
Release:      119
Requires:     shlibs5
Summary:      known as "Virus" on the Commodore Amiga
URL:	      http://www.nbn.com/~thom/software.html#zarch
Source:       zarch-0.92.tar.gz  
ExclusiveArch: i386
BuildRoot:      /var/tmp/%{name}-root

%description 
Zarch is the classic Zarch for the Acorn Archimedes. It was maybe better
known as "Virus" on the Commodore Amiga. Linux Zarch is one of the very
few freely available 3D graphics games available for UNIX/Linux that offer
a very decent performance without needing 3D hardware support.
Gameplay is still rather simple: fly around a randomly created world and
shoot the alien ships without destroying your homeworld. Your armament
includes a powerful cannon and heat seeking missiles.

Authors:
--------
    Thom van Os <thom@vanos.com>

SuSE series: fun

%prep
%setup 

%build 
./mkobj
echo "#!/bin/sh" > xzarch.sh
echo "export ZARCHDIR=/usr/games/lib/zarch" >> xzarch.sh
echo "/usr/games/lib/zarch/zarch.x11" >> xzarch.sh
echo "#!/bin/sh" > szarch.sh
echo "export ZARCHDIR=/usr/games/lib/zarch" >> szarch.sh
echo "/usr/games/lib/zarch/zarch.svga" >> szarch.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/games/bin
install -d $RPM_BUILD_ROOT/usr/games/lib/zarch
install -s xzarch  $RPM_BUILD_ROOT/usr/games/lib/zarch/zarch.x11
install -s zarch  $RPM_BUILD_ROOT/usr/games/lib/zarch/zarch.svga
install -m 644 *.raw $RPM_BUILD_ROOT/usr/games/lib/zarch
install -s world.obj $RPM_BUILD_ROOT/usr/games/lib/zarch
install -s sndsrv $RPM_BUILD_ROOT/usr/games/lib/zarch
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -s xzarch.sh  $RPM_BUILD_ROOT/usr/games/bin/xzarch
install -s szarch.sh  $RPM_BUILD_ROOT/usr/games/bin/szarch

%clean
rm -rf $BUILD_ROOT

%files
%doc  Changes.txt README.txt
/usr/games/bin/xzarch
/usr/games/bin/szarch
/usr/games/lib/zarch/

%changelog -n zarch
* Fri Feb 09 2001 - pblaha@suse.cz
- needed for BFU user
- move zarch.x11 and zarch.svga to /usr/games/lib/zarch/
- for run is  scripts xzarch & szarch
* Tue Nov 28 2000 - pblaha@suse.cz
- create this package
